public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matthias Maier" <tamiko@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-process/criu/
Date: Mon, 12 Feb 2018 03:05:45 +0000 (UTC)	[thread overview]
Message-ID: <1518404733.f4156bb8f8372cb28944a2d04a3cf36f1125af89.tamiko@gentoo> (raw)

commit:     f4156bb8f8372cb28944a2d04a3cf36f1125af89
Author:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 12 03:01:42 2018 +0000
Commit:     Matthias Maier <tamiko <AT> gentoo <DOT> org>
CommitDate: Mon Feb 12 03:05:33 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f4156bb8

sys-process/criu: version bump to 3.7

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 sys-process/criu/Manifest        |   1 +
 sys-process/criu/criu-3.7.ebuild | 115 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 116 insertions(+)

diff --git a/sys-process/criu/Manifest b/sys-process/criu/Manifest
index 863d68e8601..3cddefc4645 100644
--- a/sys-process/criu/Manifest
+++ b/sys-process/criu/Manifest
@@ -1,2 +1,3 @@
 DIST criu-2.5.tar.bz2 605226 BLAKE2B c4086b9822b119a648bda4f6cc831eba5b7e3fba5af41f8f0b1c00dac7d4aff88a71e81569c4559fd98113e76eba0653c67684f443c1c803c453209367a4c875 SHA512 ccf942005ff3b2a567726ddb8aa44048c130f1adf6e2cbdf48e919043c84a4e1c03ad0ec34b44263e5764bea62807a2cc0fa1135b929ad3166fb9486c2880570
 DIST criu-3.6.tar.bz2 739437 BLAKE2B 0f128cf69a5a073df3abc736e3081b7d266573575c038a457fdf8adcdab668d957559f3b9a16606ff31871c3bf5e111349995c496c4236b5191340486814981f SHA512 5849024ac4660a5537ed37b6d98adf61d3f071e2a181d873a1f7ca6c4d00a4258445b4bc840e908d907bc34daf8a818450f54e6cdf4826a679e756c0cbc5d586
+DIST criu-3.7.tar.bz2 749499 BLAKE2B 41222983183910b8a039a69e1a425993703e4f461c1cc0e64e92f877aff571d56c7f32cdae7848ef1633a15cac9e7b746f8c84a71f3607f7fc22959964820258 SHA512 8feb9e2579c04b67a7fe9631bb662504a7eb78550c3951cbe29252d87d9258fd6994533f6e60b0017b6a6e21bbdd5e7cd7e8a255be53b77b57efacec4e50140f

diff --git a/sys-process/criu/criu-3.7.ebuild b/sys-process/criu/criu-3.7.ebuild
new file mode 100644
index 00000000000..34cf3149abc
--- /dev/null
+++ b/sys-process/criu/criu-3.7.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit eutils toolchain-funcs linux-info flag-o-matic python-r1 python-utils-r1
+
+DESCRIPTION="utility to checkpoint/restore a process tree"
+HOMEPAGE="http://criu.org/"
+SRC_URI="http://download.openvz.org/criu/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+IUSE="python selinux setproctitle static-libs"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="
+	dev-libs/protobuf-c
+	dev-libs/libnl:3
+	net-libs/libnet:1.1
+	sys-libs/libcap
+	python? ( ${PYTHON_DEPS} )
+	selinux? ( sys-libs/libselinux )
+	setproctitle? ( dev-libs/libbsd )"
+DEPEND="${RDEPEND}
+	app-text/asciidoc
+	app-text/xmlto"
+RDEPEND="${RDEPEND}
+	python? (
+		|| (
+			dev-python/protobuf-python[${PYTHON_USEDEP}]
+			dev-libs/protobuf[python,${PYTHON_USEDEP}]
+		)
+		dev-python/ipaddr[${PYTHON_USEDEP}]
+	)"
+
+CONFIG_CHECK="~CHECKPOINT_RESTORE ~NAMESPACES ~PID_NS ~FHANDLE ~EVENTFD ~EPOLL ~INOTIFY_USER
+	~IA32_EMULATION ~UNIX_DIAG ~INET_DIAG ~INET_UDP_DIAG ~PACKET_DIAG ~NETLINK_DIAG"
+
+RESTRICT="test"
+
+PATCHES=(
+	"${FILESDIR}"/2.2/${PN}-2.2-flags.patch
+	"${FILESDIR}"/2.3/${PN}-2.3-no-git.patch
+	"${FILESDIR}"/${PN}-2.8-automagic-libbsd.patch
+	"${FILESDIR}"/2.0/${PN}-2.0-sysroot.patch
+)
+
+criu_arch() {
+	# criu infers the arch from $(uname -m).  We never want this to happen.
+	case ${ARCH} in
+	amd64) echo "x86";;
+	arm64) echo "aarch64";;
+	*)     echo "${ARCH}";;
+	esac
+}
+
+src_prepare() {
+	default
+
+	if ! use selinux; then
+		sed \
+			-e 's:libselinux:no_libselinux:g' \
+			-i Makefile.config || die
+	fi
+}
+
+src_compile() {
+	RAW_LDFLAGS="$(raw-ldflags)" emake \
+		CC="$(tc-getCC)" \
+		LD="$(tc-getLD)" \
+		OBJCOPY="$(tc-getOBJCOPY)" \
+		LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
+		ARCH="$(criu_arch)" \
+		V=1 WERROR=0 DEBUG=0 \
+		SETPROCTITLE=$(usex setproctitle) \
+		PYCRIU=$(usex python) \
+		all docs
+}
+
+src_test() {
+	# root privileges are required to dump all necessary info
+	if [[ ${EUID} -eq 0 ]] ; then
+		emake -j1 CC="$(tc-getCC)" ARCH="$(criu_arch)" V=1 WERROR=0 test
+	fi
+}
+
+install_crit() {
+	"${PYTHON:-python}" ../scripts/crit-setup.py install --root="${D}" --prefix="${EPREFIX}/usr/"
+}
+
+src_install() {
+	emake \
+		ARCH="$(criu_arch)" \
+		PREFIX="${EPREFIX}"/usr \
+		LOGROTATEDIR="${EPREFIX}"/etc/logrotate.d \
+		DESTDIR="${D}" \
+		LIBDIR="${EPREFIX}/usr/$(get_libdir)" \
+		install
+
+	dodoc CREDITS README.md
+
+	if use python ; then
+		cd lib
+		python_foreach_impl install_crit
+	fi
+
+	if ! use static-libs; then
+		find "${D}" -name "*.a" -delete || die
+	fi
+}


             reply	other threads:[~2018-02-12  3:05 UTC|newest]

Thread overview: 69+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-02-12  3:05 Matthias Maier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-22  8:55 [gentoo-commits] repo/gentoo:master commit in: sys-process/criu/ WANG Xuerui
2024-08-22  8:55 WANG Xuerui
2024-04-29 10:36 Joonas Niilola
2024-01-21 15:15 Florian Schmaus
2024-01-21 14:52 Florian Schmaus
2024-01-21  9:44 Florian Schmaus
2023-07-08  3:39 Sam James
2023-07-07  4:40 Sam James
2023-07-07  3:36 Sam James
2023-05-01 12:52 Sam James
2023-02-25 12:48 Joonas Niilola
2022-11-15 18:22 Michał Górny
2022-11-03  6:15 Sam James
2022-11-03  6:15 Sam James
2022-11-02 23:14 Sam James
2022-07-03 23:54 Sam James
2022-06-07  8:24 Jakov Smolić
2022-06-07  6:34 Joonas Niilola
2022-06-03  8:12 Sam James
2022-06-03  6:58 Sam James
2022-03-25  9:46 Jakov Smolić
2022-03-25  4:23 Sam James
2022-02-02 20:52 Arthur Zamarin
2022-02-02  8:02 Agostino Sarubbo
2021-09-03  1:53 Sam James
2021-07-20  0:51 Georgy Yakovlev
2021-06-01  6:32 Agostino Sarubbo
2020-11-25  3:45 Patrick McLean
2020-09-25  8:45 Agostino Sarubbo
2020-09-24  8:29 Georgy Yakovlev
2020-09-24  1:53 Georgy Yakovlev
2020-09-22 20:25 Georgy Yakovlev
2020-09-22 20:25 Georgy Yakovlev
2020-08-02 17:37 Patrick McLean
2020-05-15 17:36 Patrick McLean
2019-12-29  9:56 David Seifert
2019-10-20  6:29 Yixun Lan
2019-07-28 19:39 Matthias Maier
2019-07-28 19:39 Matthias Maier
2019-03-02  9:57 Sergei Trofimovich
2019-01-12 23:29 Sergei Trofimovich
2019-01-12 23:29 Sergei Trofimovich
2018-05-07  6:38 Mike Frysinger
2018-04-30 15:58 Mike Gilbert
2018-02-22  9:05 Agostino Sarubbo
2018-02-12  3:05 Matthias Maier
2018-01-22  1:42 Zac Medico
2017-12-16  0:24 Matthias Maier
2017-11-12 21:08 Justin Lecher
2017-09-21 21:06 Mike Gilbert
2017-05-26 22:54 David Seifert
2017-03-30  6:32 Yixun Lan
2017-03-10  7:49 Yixun Lan
2017-03-10  7:49 Yixun Lan
2017-02-22  9:08 Yixun Lan
2017-02-15 21:45 Yixun Lan
2017-01-19  1:47 Yixun Lan
2016-12-20 19:21 Tobias Klausmann
2016-10-18 20:49 Yixun Lan
2016-10-18 20:49 Yixun Lan
2016-09-20  6:35 Yixun Lan
2016-09-20  6:35 Yixun Lan
2016-07-04 19:05 Stephen Klimaszewski
2016-05-27  9:33 Lars Wendler
2016-03-21  6:15 Yixun Lan
2016-03-15 15:13 Alexis Ballier
2016-03-15 15:13 Alexis Ballier
2015-08-19  6:53 Yixun Lan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1518404733.f4156bb8f8372cb28944a2d04a3cf36f1125af89.tamiko@gentoo \
    --to=tamiko@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox